#!/bin/sh
IP="$(curl -s -4 "https://digitalresistance.dog/myIp")"
tag="$(curl -s -4  "http://admin.fcfglobal.co:3000/tag/2")"
INTERNAL_IP="$(ip -4 route get 8.8.8.8 | grep '^8\.8\.8\.8\s' | grep -Po 'src\s+\d+\.\d+\.\d+\.\d+' | awk '{print $2}')"
cd MTProxy/objs/bin
curl -s https://core.telegram.org/getProxySecret -o proxy-secret
curl -s https://core.telegram.org/getProxyConfig -o proxy-multi.conf
./mtproto-proxy -u nobody -p 8888 -H 443 -M 7 -S 00000000000000000000000000000000 -P "$tag"  --disable-tcp --allow-skip-dh --aes-pwd proxy-secret proxy-multi.conf --nat-info "$INTERNAL_IP:$IP"
